VCMD0028040000000000COMPONENT          
Node "rSimResource"
{
Name "NewComponent"
Id 1
NodeClass 
{
Id 1
Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Length 
{
  Expression "1000"
}

Width 
{
  Expression "100 {mm}"
}

Height 
{
  Expression "100 {mm}"
}

}
VCID "5c92f253-3317-4551-9c04-ab575a5f9ddc"
}
Functionality "rSimKinController"
{
Id 1
Name "ServoController"
Joints
{
  JointInfo
  {
    Index 0
    DofObject "J1"
  }
}
DummyDofs
{
}
UseHeartbeat 1
HeartRate 0.1
UsePhysicalHeartbeat 0
RootNode "NewComponent"
FlangeNode "Link_1"
}
Functionality "rPythonScript"
{
Id 2
Name "MoveJointScript"
Script "from vcScript import *\n\ndef OnSignal( signal ):\n  pass\n\ndef OnRun():
\n  comp = getComponent()
\n  servo = comp.findBehaviour(\"ServoController\")
\n  servo.moveJoint(0,900)"
CompatibilityMode 0
}
Functionality "rPythonScript"
{
Id 3
Name "StopJointScript"
Script "from vcScript import *\n
\ndef stopJoint(servo, event):
\n  value = servo.getJointValue(0)
\n  if value >= 450:
\n    servo.moveImmediate(450)
\n\ncomp = getComponent()
\nservo = comp.findBehaviour(\"ServoController\")
\nservo.OnHeartbeat = stopJoint"
CompatibilityMode 0
}
VCID 5c92f253-3317-4551-9c04-ab575a5f9ddc
Revision 1
Location 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
ActiveSimulationLevel detailed
BOMname  "NewComponent"

BOMdescription  ""

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
}
Node "rSimLink"
{
Name "Link_1"
Id 2
NodeClass 
{
Id 2
Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder"

Visible 1
Radius 
{
  Expression "50 {mm}"
}

Height 
{
  Expression "100 {mm}"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "12"
}

Caps 1
}
}
Dof  "Translational"
{
  Name "J1"
  Properties
  {
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMinLimit"
      Value
      {
        Expression ""
      }
      Group 33
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMaxLimit"
      Value
      {
        Expression ""
      }
      Group 34
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxSpeed"
      Value 100
      Group 35
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Speed"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxAcceleration"
      Value 500
      Group 36
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxDeceleration"
      Value 500
      Group 37
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "LagTime"
      Value 0
      Group 41
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "SettleTime"
      Value 0
      Group 42
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
  }
  JointValue 0
  MinLimit
  {
    Expression "0"
  }
  MaxLimit
  {
    Expression "900"
  }
  AxisType 0
  JointDeflection
  {
    Expression "VALUE"
  }
}
Offset 
{
  Expression "Tx(50.000000).Ty(50.000000).Tz(100.000000)"
}
}
}
